# Update Model Update a model's name and description. Other model attributes such as training version and dataset cannot be modified after creation. Endpoint: PUT /tailored-gen/models/{model_id} ## Path parameters: - `model_id` (integer, required) Model ID ## Header parameters: - `api_token` (string, required) ## Request fields (application/json): - `name` (string) New model name (optional) - `description` (string) New model description (optional) ## Response 200 fields (application/json): - `id` (integer) Unique identifier for the model - `name` (string) Name of the model - `description` (string) Description of the model - `status` (string) Status of the model Enum: "Created", "InProgress", "Completed", "Failed", "Stopping", "Stopped" - `training_version` (string) Training version Enum: "fibo", "3.2", "2.3", "light", "max" - `generation_prefix` (string,null) Text automatically prepended to prompts. * For fibo models: Null. * For legacy models: String matching the dataset's caption_prefix. - `project_id` (integer) ID of the project this model belongs to - `dataset_id` (integer) ID of the dataset used for training - `created_at` (string) Timestamp when the model was created ## Response 401 fields ## Response 404 fields ## Response 429 fields ## Response 500 fields